## znedi3-dmo 2.1

=== Makefile ===
MY_CFLAGS := -O2 -fPIC $(CFLAGS)
MY_CXXFLAGS := -std=c++14 -O2 -fPIC $(CXXFLAGS)
MY_CPPFLAGS := -Iznedi3 -Ivsxx $(CPPFLAGS)
MY_LDFLAGS := $(LDFLAGS)
MY_LIBS := $(LIBS)

znedi3_HDRS = \
	znedi3/align.h \
	znedi3/alloc.h \
	znedi3/ccdep.h \
	znedi3/cpuinfo.h \
	znedi3/kernel.h \
	znedi3/weights.h \
	znedi3/x86/kernel_x86.h \
	znedi3/x86/kernel_avx_common.h \
	znedi3/x86/kernel_sse_commmon.h \
	znedi3/x86/cpuinfo_x86.h \
	znedi3/znedi3.h \
	znedi3/znedi3_impl.h

znedi3_OBJS = \
	znedi3/cpuinfo.o \
	znedi3/kernel.o \
	znedi3/weights.o \
	znedi3/x86/cpuinfo_x86.o \
	znedi3/x86/kernel_avx.o \
	znedi3/x86/kernel_avx2.o \
	znedi3/x86/kernel_avx512.o \
	znedi3/x86/kernel_f16c.o \
	znedi3/x86/kernel_sse.o \
	znedi3/x86/kernel_sse2.o \
	znedi3/x86/kernel_x86.o \
	znedi3/znedi3.o \
	znedi3/znedi3_impl.o

testapp_HDRS = \
	testapp/argparse.h \
	testapp/mmap.h \
	testapp/timer.h \
	testapp/win32_bitmap.h

testapp_OBJS = \
	testapp/argparse.o \
	testapp/main.o \
	testapp/mmap.o \
	testapp/win32_bitmap.o

vsxx_HDRS = \
	vsxx/VapourSynth.h \
	vsxx/VapourSynth++.hpp \
	vsxx/VSScript.h \
	vsxx/VSHelper.h \
	vsxx/vsxx_pluginmain.h

ifeq ($(X86), 1)
  znedi3/x86/kernel_avx.o: EXTRA_CXXFLAGS := -mavx -mtune=sandybridge
  znedi3/x86/kernel_avx2.o: EXTRA_CXXFLAGS := -mavx2 -mfma -mtune=haswell
  znedi3/x86/kernel_f16c.o: EXTRA_CXXFLAGS := -mavx -mf16c -mtune=ivybridge
  znedi3/x86/kernel_sse.o: EXTRA_CXXFLAGS := -msse
  znedi3/x86/kernel_sse2.o: EXTRA_CXXFLAGS := -msse2
  MY_CPPFLAGS := -DZNEDI3_X86 $(MY_CPPFLAGS)
endif

ifeq ($(X86_AVX512), 1)
  znedi3/x86/kernel_avx512.o: EXTRA_CXXFLAGS := -mavx512f -mfma -mtune=skylake-avx512
  MY_CPPFLAGS := -DZNEDI3_X86_AVX512 $(MY_CPPFLAGS)
endif

all: vsznedi3.so

testapp/testapp: $(testapp_OBJS) $(znedi3_OBJS)
	$(CXX) $(MY_LDFLAGS) $^ $(MY_LIBS) -o $@

vsznedi3.so: vsznedi3/vsznedi3.o vsxx/vsxx_pluginmain.o $(znedi3_OBJS)
	$(CXX) -shared $(MY_LDFLAGS) $^ $(MY_LIBS) -o $@

clean:
	rm -f *.a *.o *.so testapp/testapp testapp/*.o znedi3/*.o znedi3/x86/*.o vsznedi3/*.o vsxx/*.o

%.o: %.cpp $(znedi3_HDRS) $(testapp_HDRS) $(vsxx_HDRS)
	$(CXX) -c $(EXTRA_CXXFLAGS) $(MY_CXXFLAGS) $(MY_CPPFLAGS) $< -o $@

.PHONY: clean

## znedi3-dmo 2

=== debian/changelog ===
znedi3-dmo (2-dmo1+deb11u1) stable; urgency=medium

  * Build with cpu optimization for amd64 and i386 architectures.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Jul 2022 23:27:50 +0200

znedi3-dmo (2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Jul 2020 08:06:35 +0200

znedi3-dmo (1-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Mar 2019 17:27:53 +0100

=== debian/control ===
Source: znedi3-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/sekrit-twc/znedi3
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), vapoursynth-dev

Package: vapoursynth-znedi3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth
Description: nnedi3 filter for vapoursynth
 nnedi3 is an intra-field only deinterlacer. It takes a frame, throws away
 one field, and then interpolates the missing pixels using only information
 from the remaining field. It is also good for enlarging images by powers
 of two.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

ifeq (,$(filter-out amd64 i386,$(DEB_HOST_ARCH_CPU)))
override_dh_auto_build:
	$(MAKE) X86=1 X86_AVX512=1 NNEDI3_WEIGHTS_PATH=/usr/share/nnedi3
#	$(MAKE) X86=1 X86_AVX512=1 testapp/testapp
else
	$(MAKE) NNEDI3_WEIGHTS_PATH=/usr/share/nnedi3
endif

override_dh_install:
	dh_installdirs usr/lib/$(DEB_HOST_MULTIARCH)/vapoursynth

	dh_install vsznedi3.so usr/lib/$(DEB_HOST_MULTIARCH)/vapoursynth

override_dh_clean:
	dh_clean nnedi3_weights.bin

=== debian/watch ===
version=4

https://github.com/sekrit-twc/znedi3/releases \
(?:.*?/)?r?(\d[\d.]*)@ARCHIVE_EXT@

## znedi3-dmo 2.1

=== debian/changelog ===
znedi3-dmo (2.1-dmo5) unstable; urgency=medium

  * debian/rules add 'export CXXFLAGS'

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Nov 2024 13:19:17 +0100

znedi3-dmo (2.1-dmo4+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Nov 2024 09:02:57 +0100

znedi3-dmo (2.1-dmo4) unstable; urgency=medium

  * Also enable optimization for i386

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Jul 2022 14:22:02 +0200

znedi3-dmo (2.1-dmo3) unstable; urgency=medium

  * Build with cpu optimization for amd64.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Jul 2022 07:38:51 +0200

znedi3-dmo (2.1-dmo2) unstable; urgency=medium

  * Load nnedi3-weights.bin from /usr/share/nnedit3 instead of the
    vapoursynth plugins directory.
  * Depens on nnedi3-weights.bin

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Jan 2022 15:39:07 +0100

znedi3-dmo (2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Sep 2021 07:38:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/sekrit-twc/znedi3
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), vapoursynth-dev
 
 Package: vapoursynth-znedi3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth
+Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth, nnedi3-weights.bin
 Description: nnedi3 filter for vapoursynth
  nnedi3 is an intra-field only deinterlacer. It takes a frame, throws away
  one field, and then interpolates the missing pixels using only information

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
 
+# vsxx submodule need to be downloaded from
+# https://github.com/sekrit-twc/znedi3
+
+include /usr/share/dpkg/buildflags.mk
+export CXXFLAGS
+
 %:
-	dh $@
+	dh $@ 
 
 ifeq (,$(filter-out amd64 i386,$(DEB_HOST_ARCH_CPU)))
 override_dh_auto_build:
@@ -13,7 +19,6 @@
 
 override_dh_install:
 	dh_installdirs usr/lib/$(DEB_HOST_MULTIARCH)/vapoursynth
-
 	dh_install vsznedi3.so usr/lib/$(DEB_HOST_MULTIARCH)/vapoursynth
 
 override_dh_clean:

=== debian/watch ===
version=4

https://github.com/sekrit-twc/znedi3/tags \
(?:.*?/)?r?(\d[\d.]*)@ARCHIVE_EXT@
